/* fonts */
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');

:root{
    --main-color: #f73471;
    --black: #000;
    --light-color: #868e96;
}

*{
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    text-transform: capitalize;
    transition: all .2s linear;
}

::selection{
    background: var(--main-color);
    color: #fff;
}

html{
    font-size: 62.5%;
    scroll-behavior: smooth;
    overflow-x: hidden;
    scroll-padding-top: 7rem;
}

html::-webkit-scrollbar{
    width: 1rem;
}

html::-webkit-scrollbar-track{
    background: #fafafa;
}

html::-webkit-scrollbar-thumb{
    background: var(--main-color);
    border-radius: 5rem;
}

section{
    padding: 2rem 9%;
}

.heading{
    font-size: 4rem;
    text-align: center;
    padding-top: 4rem;
    padding-bottom: 2rem;
    color: var(--black);
    text-transform: uppercase;
}

.heading span{
    text-transform: uppercase;
    color: var(--main-color);
   
}

.btn{
    margin-top: 1rem;
    display: inline-block;
    padding: .8rem 3rem;
    font-size: 1.7rem;
    background: #fff;
    font-weight: 500;
    cursor: pointer;
    color: var(--main-color);
}

.btn:hover{
    background: var(--main-color);
    color: #fff;
    letter-spacing: .1rem;
}


/* start Header */

.header{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    padding: 3rem 9%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: black;
    box-shadow: 0rem .1rem .5rem rgba(0,0,0,.1);
}

.header .logo{
    display: flex;
    align-items: center;
    font-size: 2.5rem;
    color: #fff;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: .1rem;
}

.header .logo span{
    color: var(--main-color);
    text-transform: uppercase;
     margin-left: 6px; 
}

.header .navbar a{
    font-size: 1.7rem;
    color: #fff;
    margin: 0 1rem;
}

.header .navbar a:hover{
    color: var(--main-color);
}

.header .icons div{
    font-size: 2.5rem;
    color: #222;
    padding: .5rem;
    cursor: pointer;
    margin-left: 1rem;
    color: #fff;
}

.header .icons div:hover{
    transform: rotate(180deg);
}

#menu-btn{
    display: none;
}

.header .icons a{
    font-size: 1.5rem;
    letter-spacing: .1rem;
    color: #fff;
    background: var(--main-color);
    font-weight: 500;
    text-transform: uppercase;
    padding: .8rem 2rem;
    border: none;
}

.header .icons div:hover{
    color: var(--main-color);
}

.header .icons a:hover{
    color: var(--main-color);
    background: #fff;
}

.header.header.active{
    padding: 2rem 9%;
    background: rgba(0,0,0,.9);
}

/* start Hero */

.hero{
    padding-top: 80px;
    background: url(img/hero-bg.png);
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.hero .contanier{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.hero .content h1{
    color: #f73471;
    font-size: 65px;
    margin: 20px 0 10px;
}
.hero .content p{
    color: #e4e4e4;
    font-size: 30px;
    font-weight: bold;
    margin-bottom: 70px;
}
.hero .content .btn{
    font-size: 18px;
}
.hero .hero-img img{
    width: 450px;
}
 /* start about */ 

 .about {
    padding: 90px 0 50px;
    background-color: #25252b;
 }
.about .contanier{
    display: flex;
    justify-content: center;
}
.about .about-img img{
    width: 450px;
  
    padding-left: 13px;
}
.about .content{
    margin-left: 30px;
}
.about .content h1{
    color: #fff;
    font-size: 25px;

}
.about .content h1 span{
    color: #f73471;
}
.about .content h3{
    color: #fff;
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 40px;
}
.about .content p{
    color: #fff;
    line-height: 1.8;
    margin-bottom:70px;
    font-size: 2rem;
}
.footer{
    background: #222;
}

.footer .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit,minmax(35rem , 1fr));
    gap: 1.5rem;
}

.footer .box-container .box{
    padding: 2rem;
}

.footer .box-container .box h1{
    font-size: 2.5rem;
    color: #fff;
    font-weight: 600;
    padding-bottom: 1rem;
}

.footer .box-container .box .text{
    color: #eee;
    font-size: 1.3rem;
    font-weight: normal;
    line-height: 1.8;
    padding-bottom: 1rem;
}

.footer .box-container .box .icon{
    padding: 1rem 0;
}

.footer .box-container .box .icon a i{
    height: 5rem;
    width: 5rem;
    line-height: 5rem;
    background: var(--main-color);
    text-align: center;
    font-size: 2rem;
    border-radius: 50%;
    margin: 0 .5rem;
    color: #fff;
}

.footer .box-container .box .icon a i:hover{
    color: var(--main-color);
    background: none;
    border: .2rem solid var(--main-color);
}

.footer .box-container .box .icons a{
    display: block;
    color: #fff;
    font-size: 1.5rem;
    margin: 1.5rem 0;
}

.footer .box-container .box .icons a i{
    margin-right: .5rem;
    color: var(--main-color);
}

.footer .box-container .box .icons a:hover i{
    padding-right: 2rem;
    color: #fff;
}

.footer .box-container .box .icons a:hover{
    color: var(--main-color);
}

.footer .credit{
    padding: 3rem 0;
    text-align: center;
    border-top: .1rem solid #808080;
    margin-top: 2rem;
    font-size: 2rem;
    font-weight: 500;
    color: #eee;
}

.footer .credit span{
    color: var(--main-color);
}


/* Media */

@media(max-width:1200px){
    .contanier{
        width: 90%;
    }
    .hero .content h1{
        font-size: 50px;
    }
    .hero .content p{
        font-size: 25px;
    }
    .hero .hero-img img{
        width: 380px;
    }
    .hero{
        padding-bottom: 40px;
    }
    .about .content h3{
        font-size: 20px;
    }
    .about .content p{
        margin-bottom: 50px;
    }
    .about .about-img img{
        width: 380px;
    }
  
}
@media(max-width:991px){
    .hero .content h1{
        font-size: 40px;
    }
    .hero .content p{
        font-size: 22px;
    }
    .hero .hero-img img{
        width: 340px;
    }
       html{
        font-size: 55%;
    }

    .header{
        padding: 2rem;
    }

    .header.header.active{
        padding: 2rem;
    }
    .about .contanier{
        flex-direction: column;
        text-align: center;
    }
    .about .about-img img{
        width: 340px;
    }
    .about .about-img {
        margin-bottom: 40px;
    }
    .boxs .box{
        width: 45%;
        margin-bottom: 40px;
    }
    .contact form{
        width: 80%;
    }
}
@media(max-width:768px){
    .hero .contanier{
        flex-direction: column-reverse;
    }
    .hero .hero-img img{
        width: 380px;
    }
    .hero .content h1{
        font-size: 50px;
    }
    .hero .content{
        margin-top: 40px;
        text-align: center;
    }
      #menu-btn{
        display: inline-block;
    }


    .header .navbar{
        position: absolute;
        top: 100%;
        right: 0;
        left: 0;
        background: rgba(0,0,0,.9);
        clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
        border-top: .1rem solid #eee;
    }

    .header .navbar.active{
        clip-path: polygon(0 0,100% 0, 100% 100%, 0 100%);
    }

    .header .navbar a{
        display: block;
        margin: 2rem;
        font-size: 2rem;
    }
    .header .icons a{
        display: none;
        letter-spacing: none;
        font-size: 1.3rem;
        padding: 1rem;
    }

}
@media(max-width:670px){
    .hero .content h1{
        font-size: 40px;
    }
    .hero .hero-img img{
        width: 320px;
    }
    .boxs{
        justify-content: center;

    }
    .boxs .box{
        width: 70%;
    }
    .contact form{
        width: 90%;
    }
}
@media(max-width:450px){
    .hero .hero-img img{
        width: 280px;
    }
      html{
        font-size: 50%;
    }
    
    


    .header .icons a{
        display: none;
        letter-spacing: none;
        font-size: 1.3rem;
        padding: 1rem;
    }

}